rate_cotisation_page:
  action: 'display'
  conditions:
    - {
        function: organizationHasAnyModule,
        parameters: ['CotisationRate', 'CotisationCall'],
      }
    - {
        function: accessHasAnyRoleAbility,
        parameters: [{ action: 'read', subject: 'cotisation' }],
      }

parameters_cotisation_page:
  action: 'display'
  conditions:
    - { function: organizationHasAnyModule, parameters: ['CotisationCall'] }
    - {
        function: accessHasAnyRoleAbility,
        parameters: [{ action: 'read', subject: 'cotisation' }],
      }

send_cotisation_page:
  action: 'display'
  conditions:
    - { function: organizationHasAnyModule, parameters: ['CotisationCall'] }
    - {
        function: accessHasAnyRoleAbility,
        parameters: [{ action: 'read', subject: 'cotisation' }],
      }

state_cotisation_page:
  action: 'display'
  conditions:
    - { function: organizationHasAnyModule, parameters: ['CotisationCall'] }
    - {
        function: accessHasAnyRoleAbility,
        parameters: [{ action: 'read', subject: 'cotisation' }],
      }

pay_cotisation_page:
  action: 'display'
  conditions:
    - { function: organizationHasAnyModule, parameters: ['CotisationCall'] }
    - {
        function: accessHasAnyRoleAbility,
        parameters: [{ action: 'read', subject: 'cotisation' }],
      }

check_cotisation_page:
  action: 'display'
  conditions:
    - { function: organizationHasAnyModule, parameters: ['CotisationCall'] }
    - {
        function: accessHasAnyRoleAbility,
        parameters: [{ action: 'read', subject: 'cotisation' }],
      }

ledger_cotisation_page:
  action: 'display'
  conditions:
    - { function: organizationHasAnyModule, parameters: ['CotisationCall'] }
    - {
        function: accessHasAnyRoleAbility,
        parameters: [{ action: 'read', subject: 'cotisation' }],
      }

magazine_cotisation_page:
  action: 'display'
  conditions:
    - {
        function: organizationHasAnyModule,
        parameters: ['CotisationCMFAdministration'],
      }
    - {
        function: accessHasAnyRoleAbility,
        parameters: [{ action: 'read', subject: 'cotisation' }],
      }

ventilated_cotisation_page:
  action: 'display'
  conditions:
    - { function: organizationHasAnyModule, parameters: ['CotisationCall'] }
    - {
        function: accessHasAnyRoleAbility,
        parameters: [{ action: 'read', subject: 'cotisation' }],
      }

pay_erase_cotisation_page:
  action: 'display'
  conditions:
    - { function: organizationHasAnyModule, parameters: ['CotisationCall'] }
    - {
        function: accessHasAnyRoleAbility,
        parameters: [{ action: 'read', subject: 'cotisation' }],
      }

resume_cotisation_page:
  action: 'display'
  conditions:
    - {
        function: organizationHasAnyModule,
        parameters: ['CotisationTransmissionState'],
      }
    - {
        function: accessHasAnyRoleAbility,
        parameters: [{ action: 'read', subject: 'cotisation' }],
      }

history_cotisation_page:
  action: 'display'
  conditions:
    - { function: organizationHasAnyModule, parameters: ['CotisationCall'] }
    - {
        function: accessHasAnyRoleAbility,
        parameters: [{ action: 'read', subject: 'cotisation' }],
      }

call_cotisation_page:
  action: 'display'
  conditions:
    - {
        function: organizationHasAnyModule,
        parameters: ['CotisationStructure'],
      }
    - {
        function: accessHasAnyRoleAbility,
        parameters: [{ action: 'read', subject: 'cotisation' }],
      }

history_structure_cotisation_page:
  action: 'display'
  conditions:
    - {
        function: organizationHasAnyModule,
        parameters: ['CotisationStructure'],
      }
    - {
        function: accessHasAnyRoleAbility,
        parameters: [{ action: 'read', subject: 'cotisation' }],
      }

insurance_cotisation_page:
  action: 'display'
  conditions:
    - {
        function: organizationHasAnyModule,
        parameters: ['CotisationStructure', 'CotisationTransmissionState'],
      }
    - {
        function: accessHasAnyRoleAbility,
        parameters: [{ action: 'read', subject: 'cotisation' }],
      }

resume_all_cotisation_page:
  action: 'display'
  conditions:
    - {
        function: organizationHasAnyModule,
        parameters: ['CotisationTransmission'],
      }
    - {
        function: accessHasAnyRoleAbility,
        parameters: [{ action: 'read', subject: 'cotisation' }],
      }

resume_pay_cotisation_page:
  action: 'display'
  conditions:
    - {
        function: organizationHasAnyModule,
        parameters: ['CotisationTransmission'],
      }
    - {
        function: accessHasAnyRoleAbility,
        parameters: [{ action: 'read', subject: 'cotisation' }],
      }
